Subject: bug#44526: closed (Re: bug#44526: 27.1; perl-mode: quoting colors vs. next line)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Oct 2021 11:30:02 +0000

Your bug report

#44526: 27.1; perl-mode: quoting colors vs. next line

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44526: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44526
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44526: 27.1; perl-mode: quoting colors vs. next line
From: Stefan Kangas <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Oct 2021 04:29:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

積丹尼 Dan Jacobson <[email-masked]> writes:

> emacs-version "27.1"

I confirm that I can reproduce this in Emacs 27.1 but not on current
master.  So it seems like this has already been fixed, and I'm therefore
closing this bug report.

If you have a chance to verify my findings on the emacs-28 branch, or in
the upcoming Emacs 28.1 pretest, that would also be useful.

Subject: 27.1; perl-mode: quoting colors vs. next line
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Mon, 09 Nov 2020 08:06:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Here you will the {pla} is in the wrong colors in Perl mode,
$_ = qq {bla};
$_ = qq
{pla};